Page MenuHomePhabricator

Disable TimedText namespace where not relevant
Closed, ResolvedPublic

Description

When TimedMediaHandler has been enabled on all wikis, TimedText namespace was also added to all of them.
The rationale is that wikis might want to upload audio or video files locally and add subtitles to them. However, most wikis are not interested in this and indeed it's very seldom a good idea to to do so.
Moreover, this is surely not valid for the wikis which have local upload disabled and won't want this additional interface clutter.
So, what needs doing:

  1. Disable the namespace on all wikis with wgEnableUpload false or "'upload' => true" only for sysops in groupOverrides in https://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php
  2. (IMHO) Just disable it on all wikis and make it opt-in (except for projects like en.wiki which already expressed interest/used it).
  3. Whatever the conclusion, inform all wikis on what the new namespace is and what they can do about it.

Version: unspecified
Severity: normal

Details

Reference
bz41826

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 12:45 AM
bzimport set Reference to bz41826.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Nov 6 2012, 5:12 PM

I agree with Nemo for the opt-in.

mdale wrote:

see
https://gerrit.wikimedia.org/r/#/c/32062/

TMH will now not register the namespace if $wgTimedTextNS is false, so this bug is still open, but its a change request for settings $wgTimedTextNS = false in common settings ( and enabling it for en ( 710 ) and commons ( 102 ) and any other wiki that wants to upload video with timed text )

jgerber wrote:

https://gerrit.wikimedia.org/r/#/c/32204/ introduces a new setting $wgEnableTimedText, if set to false, local videos have no subtitle menu and no TimedText namespace is registered.

To also disable subtitles on videos from commons one would have to set
$wgMwEmbedModuleConfig['TimedText.ShowInterface'] = 'off';

As $wgEnableUpload defaults to true I think its not a good value for this.

https://gerrit.wikimedia.org/r/32205 adds wgmEnableTimedText to InitialiseSettings.php to enable/disable it on a per wiki basis. What wikis should have TimedText enabled now? commons, test, test2 and enwiki seamed save, any others?

(In reply to comment #2)

see
https://gerrit.wikimedia.org/r/#/c/32062/

Status Merged

(In reply to comment #3)

https://gerrit.wikimedia.org/r/#/c/32204/ introduces a new setting

Status Merged

https://gerrit.wikimedia.org/r/32205 adds wgmEnableTimedText to

Status Merged

wellingtonalo wrote:

In ptwiki, there is a consensus that Timed Text must be enabled (See here: https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Esplanada/propostas/Cria%C3%A7%C3%A3o_do_dom%C3%ADnio_%22TimedText%22_na_Wikip%C3%A9dia_lus%C3%B3fona_(21nov2013) ). So, in https://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php, where is 'wmgEnableLocalTimedText' => array(, I beg to include 'ptwiki' => true,.

Wellington Gomes da Silva Filho, you need to file another report: see [[m:Requesting_wiki_configuration_changes]].

Restricted Application added subscribers: JEumerus, StudiesWorld, Matanya. · View Herald TranscriptJan 28 2016, 6:11 PM